# ╔════════════════════════════════════════════════════════════════╗
# ║ "Optimally temperature compensated FBG-based sensor dedicated  ║
# ║       to non-intrusive pipe internal pressure monitoring"      ║
# ║ authors: Laurent Maurin, Nicolas Roussel and Guillaume Laffont ║
# ║          (Recent Advances in Optical Fiber Sensors)            ║
# ║                                                                ║
# ║ https://www.frontiersin.org/articles/10.3389/fsens.2022.835140 ║
# ║ https://hal-cea.archives-ouvertes.fr/cea-03541365              ║
# ╠════════════════════════════════════════════════════════════════╣
# ║ gnuplot scripts for figures 2, 7, 8, 10, 12, 13 & 14           ║
# ║ see http://www.gnuplot.info/ for more information              ║
# ╠════════════════════════════════════════════════════════════════╣
# ║ this gnuplot script can be launched with the gnuplot command:  ║
# ║   gnuplot> load "plot_eps.gnu"                                 ║
# ║ for each data set :                                            ║
# ║ _ open data are located in the "data" sub-directory            ║
# ║ _ encapsulated postscript figures generated by this script are ║
# ║   located in the "graphs" sub-directory                        ║
# ╠════════════════════════════════════════════════════════════════╣
# ║ script validated on Linux and Microsoft Windows workstations   ║
# ║ with gnuplot 5.4.2                                             ║
# ╠════════════════════════════════════════════════════════════════╣
# ║ before running, first relocate to the directory of this script ║
# ╚════════════════════════════════════════════════════════════════╝

topwd=GPVAL_PWD

# ---------------
# first data set: figure 2
# ---------------

cd topwd."/figure_2"
load "plot_eps.gnu"

# ---------------
# second data set: figures 7 & 8
# ---------------

cd topwd."/figures_7_and_8"
load "plot_eps.gnu"

# ---------------
# third data set: figure 10
# ---------------

cd topwd."/figure_10"
load "plot_eps.gnu"

# ---------------
# last data set: figures 12, 13 & 14
# ---------------

cd topwd."/figures_12_13_and_14"
load "plot_eps.gnu"

# ---------------

cd topwd